<template>
  <div class="main p-top-60 voting-section" :class="{'mobile': isMobile()}">
    <div class="header">
      <h2 class="title">{{ title }}</h2>
      <div class="filter">
        <a-radio-group :value="size" @change="handleSizeChange">
          <a-radio-button value="all">
            All
          </a-radio-button>
          <a-radio-button value="image">
            Image
          </a-radio-button>
          <a-radio-button value="video">
            Video
          </a-radio-button>
        </a-radio-group>
      </div>
    </div>
    <a-row :gutter="32">
      <a-col class="gutter-row"
        :span="6" :xs="{ span: 24 }" :sm="{ span: 12 }" :md="{ span: 8 }" :lg="{ span: 6 }"
        v-for="(i, ind) in list" :key="ind">
        <div class="voting-item gutter-box">
          <a-row>
            <a-col :span="12">
              <div class="wrap-image">
                <img src="img/voting1.jpg" alt="voting image">
              </div>
              <h4 class="voting-item-name">BTS V</h4>
            </a-col>
            <a-col :span="12">
              <div class="wrap-image">
                <img src="img/voting2.jpg" alt="voting image">
              </div>
              <h4 class="voting-item-name">BTS VII</h4>
            </a-col>
          </a-row>
          <a-row class="px-2">
            <a-col :span="24">
              <h3 class="voting-item-title">[High Definition, Latest] Boys' Idol World Cup</h3>
              <div class="des">Front-oriented portrait legend photo (objective face judgment possible)</div>
            </a-col>
            <a-button class="start-btn" type="primary" icon="caret-right" @click="votingStart">
              Getting started
            </a-button>
            <div class="d-flex justify-content-between">
              <a-button class="ranking-btn" icon="ordered-list" @click="goToRanking">
                View ranking
              </a-button>
              <a-button class="share-btn" icon="share-alt">
                Share
              </a-button>
            </div>
          </a-row>
        </div>
      </a-col>
    </a-row>
    <br/>
    <div class="load-more pb-5">
      <a-button type="primary" style="background: transparent;" icon="info-circle" @click="loadMore" size="large">
        View more
      </a-button>
    </div>
    <a-modal v-model="visible" title="Voting" @ok="handleOk">
      <h2>Lorem ipsum dolor sit amet.</h2>
      <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quo qui, eaque nisi debitis in vero?</p>
      <a-select default-value="lucy" style="width: 100%">
      <a-select-option value="jack">
        Jack
      </a-select-option>
      <a-select-option value="lucy">
        Lucy
      </a-select-option>
      <a-select-option value="disabled">
        Disabled
      </a-select-option>
      <a-select-option value="Yiminghe">
        yiminghe
      </a-select-option>
    </a-select>
    </a-modal>
  </div>
</template>

<script>
const items = [
  {
    title: "Voting games",
  }
]
const defaultList = [1, 2, 3, 4, 5, 6, 7, 8]
const sortList = [1, 2, 3, 4, 5]


export default {
  data() {
    return {
      title: 'Voting games',
      items: items,
      size: 'all',
      list: defaultList,
      visible: false,
    }
  },

  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
    handleSizeChange(e) {
      this.size = e.target.value;
      console.log(e.target.value)
      switch (e.target.value) {
        case 'all':
          this.list = defaultList;
          break;
        default:
          this.list = sortList;
      }
    },
    loadMore() {
      this.list = [...this.list, ...defaultList];
    },
    goToRanking() {
      this.$router.push({name: 'VotingChart'})
    },
    votingStart(){
        this.visible = true;
    },
    handleOk(e) {
      console.log(e);
      this.visible = false;
    },
  }
}

</script>

<style lang="css" scoped>
@import "../../src/css/default.css";

.title {
  margin-bottom: 16px;
}

.header {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 30px;
}
.ant-radio-group label {
  background: transparent !important;
}
.ant-radio-group label:not(.ant-radio-button-wrapper-checked) span {
  color: #fff;
}

.voting-item {
  margin-bottom: 36px;
  background: #282828;
}

.voting-item-title {
  color: white;
  margin-bottom: 0.4em;
}

.voting-item-name {
  color: white;
  padding: 2px 0;
  background: black;
  text-align: center;
}
.voting-item .ant-btn {
  background: transparent !important;
}
.voting-item .ant-btn:not(.start-btn) {
  color: #FFFFFF !important;
}

.des {
  margin-bottom: 10px;
  color: #8a8a8a;
}

.ant-btn {
  margin-bottom: 5px;
}

.start-btn {
  width: 100%;
}

div:not(.mobile) .ranking-btn,
div:not(.mobile) .share-btn {
  padding: 0 8px;
}

.filter {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.load-more {
  display: flex;
  justify-content: center;
}

.load-more .ant-btn {
  padding-left: 30px;
  padding-right: 30px;
}

/* Mobile Style */
.mobile .header .title {
  font-weight: 500;
  font-size: 18px;
  color: #FFFFFF;
}
.mobile .start-btn {
  width: 100%;
  margin-bottom: 8px;
}
.mobile .ranking-btn,
.mobile .share-btn {
  width: 48%;
}
</style>
